### Method

# Gio ZlibCompressor set_file_info

since: 2.26

#### Declaration [src]

    void
    g_zlib_compressor_set_file_info (
      GZlibCompressor* compressor,
      GFileInfo* file_info
    )

#### Description [src]

Sets the `GZlibCompressor:file-info` property.

Note: it is an error to call this function while a compression is in progress; it may only be called immediately after creation of `compressor`, or after resetting it with `g_converter_reset()`.

Available since: 2.26

Sets property | `Gio.ZlibCompressor:file-info`

#### Parameters

`file_info`

  Type: `GFileInfo`

  File info for the gzip header.

  The argument can be `NULL`.
  The data is owned by the caller of the method.